diff --git a/changelog b/changelog
index 7587673..9139a97 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20080501 tpd src/input/schaum16.input post-mortem fixes
+20080501 tpd src/input/schaum13.input post-mortem fixes
 20080430 tpd src/input/schaum13.input post-mortem fixes
 20080429 tpd src/input/schaum12.input post-mortem fixes
 20080428 tpd src/input/schaum19.input post-mortem fixes
diff --git a/src/input/schaum13.input.pamphlet b/src/input/schaum13.input.pamphlet
index 70acff6..678e41c 100644
--- a/src/input/schaum13.input.pamphlet
+++ b/src/input/schaum13.input.pamphlet
@@ -5065,7 +5065,7 @@ ee:=expandLog dd
 --R                                                     Type: Expression Integer
 --E
 
---S 127    14:284 Schaums and Axiom differ by a constant
+--S 127    14:294 Schaums and Axiom differ by a constant
 ff:=complexNormalize ee
 --R
 --R                                     +-+
diff --git a/src/input/schaum16.input.pamphlet b/src/input/schaum16.input.pamphlet
index b058a54..caf8bfd 100644
--- a/src/input/schaum16.input.pamphlet
+++ b/src/input/schaum16.input.pamphlet
@@ -19,13 +19,13 @@ $$
 )clear all
 
 --S 1
-aa:=integrate(1/x*(x^n+a^n),x)
---R 
+aa:=integrate(1/(x*(x^n+a^n)),x)
 --R
---R          n log(x)            n
---R        %e         + n log(x)a
---R   (1)  -----------------------
---R                   n
+--R                n log(x)    n
+--R        - log(%e         + a ) + n log(x)
+--R   (1)  ---------------------------------
+--R                          n
+--R                       n a
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
@@ -46,59 +46,32 @@ bb:=1/(n*a^n)*log(x^n/(x^n+a^n))
 --S 3
 cc:=aa-bb
 --R
---R                  n
---R                 x        n  n log(x)             n 2
---R        - log(-------) + a %e         + n log(x)(a )
---R               n    n
---R              x  + a
---R   (3)  ---------------------------------------------
---R                                n
---R                             n a
+--R                                         n
+--R                n log(x)    n           x
+--R        - log(%e         + a ) - log(-------) + n log(x)
+--R                                      n    n
+--R                                     x  + a
+--R   (3)  ------------------------------------------------
+--R                                 n
+--R                              n a
 --R                                                     Type: Expression Integer
 --E
 
 --S 4
 dd:=expandLog cc
 --R
---R             n    n         n     n  n log(x)            2n
---R        log(x  + a ) - log(x ) + a %e         + n log(x)a
---R   (4)  ---------------------------------------------------
---R                                   n
---R                                n a
+--R                n log(x)    n         n    n         n
+--R        - log(%e         + a ) + log(x  + a ) - log(x ) + n log(x)
+--R   (4)  ----------------------------------------------------------
+--R                                      n
+--R                                   n a
 --R                                                     Type: Expression Integer
 --E
 
---S 5
+--S 5      14:325 Schaums and Axiom agree
 ee:=complexNormalize dd
 --R
---R   (5)
---R             n log(x)     n log(a)      n log(a)  n log(x)
---R       log(%e         + %e        ) + %e        %e
---R     + 
---R                  n log(a) 2
---R       n log(x)(%e        )  - n log(x)
---R  /
---R         n log(a)
---R     n %e
---R                                                     Type: Expression Integer
---E
-
---S 6
-explog:=rule(%e^(n*log(x)) == x^n)
---R
---R          n log(x)     n
---R   (6)  %e         == x
---R                        Type: RewriteRule(Integer,Integer,Expression Integer)
---E
-
---S 7      14:325 Axiom cannot simplify this expression
-ff:=explog ee
---R
---R             n    n     n n            2n
---R        log(x  + a ) + a x  + n log(x)a   - n log(x)
---R   (7)  --------------------------------------------
---R                               n
---R                            n a
+--R   (5)  0
 --R                                                     Type: Expression Integer
 --E
 @
